Loading...
Searching...
No Matches
itk::AffineDTI2DTransform< TScalarType > Class Template Reference

`#include <itkAffineDTI2DTransform.h>`

## Detailed Description

template<class TScalarType = double>
class itk::AffineDTI2DTransform< TScalarType >

Definition at line 65 of file itkAffineDTI2DTransform.h.

Inheritance diagram for itk::AffineDTI2DTransform< TScalarType >:
[legend]

## Public Types

using | AngleType = typename Superclass::ScalarType
using | ConstPointer = SmartPointer<const Self>
typedef typename SpatialJacobianType::InternalMatrixType | InternalMatrixType
typedef std::vector< SpatialHessianType > | JacobianOfSpatialHessianType
typedef std::vector< SpatialJacobianType > | JacobianOfSpatialJacobianType
typedef std::vector< unsigned long > | NonZeroJacobianIndicesType
using | Pointer = SmartPointer<Self>
using | ScalarArrayType = FixedArray<ScalarType>
using | Self = AffineDTI2DTransform
typedef FixedArray< Matrix< ScalarType, InputSpaceDimension, InputSpaceDimension >, OutputSpaceDimension > | SpatialHessianType
typedef Matrix< ScalarType, OutputSpaceDimension, InputSpaceDimension > | SpatialJacobianType
using | Superclass = AdvancedMatrixOffsetTransformBase<TScalarType, 2, 2>
Public Types inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
using | CenterType
using | ConstPointer
typedef typename SpatialJacobianType::InternalMatrixType | InternalMatrixType
using | InverseMatrixType
typedef std::vector< SpatialHessianType > | JacobianOfSpatialHessianType
typedef std::vector< SpatialJacobianType > | JacobianOfSpatialJacobianType
using | MatrixType
typedef std::vector< unsigned long > | NonZeroJacobianIndicesType
using | OffsetType
using | Pointer
using | Self
typedef FixedArray< Matrix< ScalarType, InputSpaceDimension, InputSpaceDimension >, OutputSpaceDimension > | SpatialHessianType
typedef Matrix< ScalarType, OutputSpaceDimension, InputSpaceDimension > | SpatialJacobianType
using | Superclass
using | TranslationType
Public Types inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
using | ConstPointer
using | InternalMatrixType
using | InverseTransformBaseType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | MovingImageGradientType
using | MovingImageGradientValueType
using | NonZeroJacobianIndicesType
using | Pointer
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer

## Public Member Functions

virtual const char * | GetClassName () const
void | GetJacobian (const InputPointType &, JacobianType &, NonZeroJacobianIndicesType &) const override
const ParametersType & | GetParameters () const override
| ITK_DISALLOW_COPY_AND_MOVE (AffineDTI2DTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, 2)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, 2)
| itkStaticConstMacro (ParametersDimension, unsigned int, 7)
| itkStaticConstMacro (SpaceDimension, unsigned int, 2)
void | SetIdentity () override
void | SetParameters (const ParametersType &parameters) override
Public Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
const InputPointType & | GetCenter () const
const FixedParametersType & | GetFixedParameters () const override
void | GetJacobianOfSpatialHessian (const InputPointType &, JacobianOfSpatialHessianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
const MatrixType & | GetMatrix () const
const ParametersType & | GetParameters () const override
void | GetSpatialHessian (const InputPointType &, SpatialHessianType &) const override
void | GetSpatialJacobian (const InputPointType &, SpatialJacobianType &) const override
TransformCategoryEnum | GetTransformCategory () const override
const OutputVectorType & | GetTranslation () const
bool | IsLinear () const override
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
void | SetCenter (const InputPointType &center)
void | SetFixedParameters (const FixedParametersType &) override
virtual void | SetMatrix (const MatrixType &matrix)
void | SetParameters (const ParametersType &parameters) override
void | SetTranslation (const OutputVectorType &translation)
OutputCovariantVectorType | TransformCovariantVector (const InputCovariantVectorType &vector) const override
OutputPointType | TransformPoint (const InputPointType &point) const override
OutputVectorType | TransformVector (const InputVectorType &vector) const override
Public Member Functions inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
void | ComputeJacobianWithRespectToParameters (const InputPointType &, JacobianType &) const override
virtual void | EvaluateJacobianWithImageGradientProduct (const InputPointType &inputPoint, const MovingImageGradientType &movingImageGradient, DerivativeType &imageJacobian, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const
virtual bool | GetHasNonZeroJacobianOfSpatialHessian () const
virtual bool | GetHasNonZeroSpatialHessian () const
virtual NumberOfParametersType | GetNumberOfNonZeroJacobianIndices () const
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
static Pointer | New ()

## Protected Member Functions

| AffineDTI2DTransform ()
| AffineDTI2DTransform (const MatrixType &matrix, const OutputPointType &offset)
| AffineDTI2DTransform (unsigned int outputSpaceDims, unsigned int paramsSpaceDims)
void | ComputeMatrix () override
void | ComputeMatrixParameters () override
virtual void | PrecomputeJacobianOfSpatialJacobian ()
void | PrintSelf (std::ostream &os, Indent indent) const override
void | SetVarAngleScaleShear (ScalarArrayType angle, ScalarArrayType shear, ScalarArrayType scale)
| ~AffineDTI2DTransform () override=default
Protected Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
| AdvancedMatrixOffsetTransformBase (const unsigned int paramDims=ParametersDimension)
virtual void | ComputeOffset ()
void | ComputeTranslation ()
const OutputVectorType & | GetOffset () const
void | PrintSelf (std::ostream &s, Indent indent) const override
void | SetVarMatrix (const MatrixType &matrix)
void | SetVarTranslation (const OutputVectorType &translation)
| ~AdvancedMatrixOffsetTransformBase () override=default
Protected Member Functions inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
| AdvancedTransform ()=default
| ~AdvancedTransform () override=default

## Private Attributes

ScalarArrayType | m_Angle {}
ScalarArrayType | m_Scale {}
ScalarArrayType | m_Shear {}

## Additional Inherited Members

Protected Attributes inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
JacobianOfSpatialHessianType | m_JacobianOfSpatialHessian
JacobianOfSpatialJacobianType | m_JacobianOfSpatialJacobian
NonZeroJacobianIndicesType | m_NonZeroJacobianIndices
SpatialHessianType | m_SpatialHessian
Protected Attributes inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
bool | m_HasNonZeroJacobianOfSpatialHessian
bool | m_HasNonZeroSpatialHessian

## Member Typedef Documentation

## AngleType

template<class TScalarType = double>

using itk::AffineDTI2DTransform< TScalarType >::AngleType = typename Superclass::ScalarType

Definition at line 105 of file itkAffineDTI2DTransform.h.

## ConstPointer

template<class TScalarType = double>

using itk::AffineDTI2DTransform< TScalarType >::ConstPointer = SmartPointer<const Self>

Definition at line 74 of file itkAffineDTI2DTransform.h.

## InternalMatrixType

template<class TScalarType = double>

## JacobianOfSpatialHessianType

template<class TScalarType = double>

## JacobianOfSpatialJacobianType

template<class TScalarType = double>

## NonZeroJacobianIndicesType

template<class TScalarType = double>

Types for the (Spatial)Jacobian/Hessian. Using an itk::FixedArray instead of an std::vector gives a performance gain for the SpatialHessianType.

## Pointer

template<class TScalarType = double>

using itk::AffineDTI2DTransform< TScalarType >::Pointer = SmartPointer<Self>

Definition at line 73 of file itkAffineDTI2DTransform.h.

## ScalarArrayType

template<class TScalarType = double>

using itk::AffineDTI2DTransform< TScalarType >::ScalarArrayType = FixedArray<ScalarType>

Definition at line 114 of file itkAffineDTI2DTransform.h.

## Self

template<class TScalarType = double>

using itk::AffineDTI2DTransform< TScalarType >::Self = AffineDTI2DTransform

Standard class typedefs.

Definition at line 71 of file itkAffineDTI2DTransform.h.

## SpatialHessianType

template<class TScalarType = double>

## SpatialJacobianType

template<class TScalarType = double>

## Superclass

template<class TScalarType = double>

using itk::AffineDTI2DTransform< TScalarType >::Superclass = AdvancedMatrixOffsetTransformBase<TScalarType, 2, 2>

Definition at line 72 of file itkAffineDTI2DTransform.h.

## Constructor & Destructor Documentation

## AffineDTI2DTransform() [1/3]

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::AffineDTI2DTransform | ( |  | ) |

protected

## AffineDTI2DTransform() [2/3]

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::AffineDTI2DTransform | ( | const MatrixType & | matrix,
|  | const OutputPointType & | offset )

protected

## AffineDTI2DTransform() [3/3]

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::AffineDTI2DTransform | ( | unsigned int | outputSpaceDims,
|  | unsigned int | paramsSpaceDims )

protected

## ~AffineDTI2DTransform()

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::~AffineDTI2DTransform | ( |  | ) |

override protected default

## Member Function Documentation

## ComputeMatrix()

template<class TScalarType = double>

void itk::AffineDTI2DTransform< TScalarType >::ComputeMatrix | ( |  | ) |

override protected virtual

Compute the components of the rotation matrix in the superclass.

Reimplemented from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >.

## ComputeMatrixParameters()

template<class TScalarType = double>

void itk::AffineDTI2DTransform< TScalarType >::ComputeMatrixParameters | ( |  | ) |

override protected virtual

Reimplemented from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >.

## GetClassName()

template<class TScalarType = double>

virtual const char * itk::AffineDTI2DTransform< TScalarType >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >.

## GetJacobian()

template<class TScalarType = double>

void itk::AffineDTI2DTransform< TScalarType >::GetJacobian | ( | const InputPointType & | ,
|  | JacobianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

override virtual

Compute the Jacobian of the transformation.

Reimplemented from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >.

## GetParameters()

template<class TScalarType = double>

const ParametersType & itk::AffineDTI2DTransform< TScalarType >::GetParameters | ( |  | ) | const

override

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::ITK_DISALLOW_COPY_AND_MOVE | ( | AffineDTI2DTransform< TScalarType > |  | ) |

## itkStaticConstMacro() [1/4]

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::itkStaticConstMacro | ( | InputSpaceDimension | ,
|  | unsigned int | ,
|  | 2 | )

## itkStaticConstMacro() [2/4]

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::itkStaticConstMacro | ( | OutputSpaceDimension | ,
|  | unsigned int | ,
|  | 2 | )

## itkStaticConstMacro() [3/4]

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::itkStaticConstMacro | ( | ParametersDimension | ,
|  | unsigned int | ,
|  | 7 | )

## itkStaticConstMacro() [4/4]

template<class TScalarType = double>

itk::AffineDTI2DTransform< TScalarType >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | 2 | )

Dimension of the space.

## New()

template<class TScalarType = double>

Pointer itk::AffineDTI2DTransform< TScalarType >::New | ( |  | ) |

static

New macro for creation of through a Smart Pointer.

## PrecomputeJacobianOfSpatialJacobian()

template<class TScalarType = double>

virtual void itk::AffineDTI2DTransform< TScalarType >::PrecomputeJacobianOfSpatialJacobian | ( |  | ) |

protected virtual

Update the m_JacobianOfSpatialJacobian.

## PrintSelf()

template<class TScalarType = double>

void itk::AffineDTI2DTransform< TScalarType >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SetIdentity()

template<class TScalarType = double>

void itk::AffineDTI2DTransform< TScalarType >::SetIdentity | ( |  | ) |

override virtual

Reimplemented from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >.

## SetParameters()

template<class TScalarType = double>

void itk::AffineDTI2DTransform< TScalarType >::SetParameters | ( | const ParametersType & | parameters | ) |

override

Set/Get the transformation from a container of parameters This is typically used by optimizers. There are 7 parameters. [ R Gx Gy Sx Sy Tx Ty ] ~rotation, scale, skew, translation

## SetVarAngleScaleShear()

template<class TScalarType = double>

void itk::AffineDTI2DTransform< TScalarType >::SetVarAngleScaleShear | ( | ScalarArrayType | angle,
|  | ScalarArrayType | shear,
|  | ScalarArrayType | scale )

protected

Set values of angles etc directly without recomputing other parameters.

## Field Documentation

## m_Angle

template<class TScalarType = double>

ScalarArrayType itk::AffineDTI2DTransform< TScalarType >::m_Angle {}

private

Definition at line 160 of file itkAffineDTI2DTransform.h.

## m_Scale

template<class TScalarType = double>

ScalarArrayType itk::AffineDTI2DTransform< TScalarType >::m_Scale {}

private

Definition at line 162 of file itkAffineDTI2DTransform.h.

## m_Shear

template<class TScalarType = double>

ScalarArrayType itk::AffineDTI2DTransform< TScalarType >::m_Shear {}

private

Definition at line 161 of file itkAffineDTI2DTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |